Page 1 of 1

VSTGUI 4.3 on a VST 2.4 plugin, possible?

Posted: Thu May 30, 2019 11:20 am
by kv331audio
Hi folks

I'm still using VSTGUI 3.6 on our plugins (SynthMaster, SynthMaster One, SynthMaster Player). They're VST 2.4 plugins, not VST3 yet.

I have many UI classes derived from CView/CViewContainer. Before I'm moving to VST3 yet, just wondering if I can replace VSTGUI 3.6 with VSTGUI 4.3?

Thanks

Bulent

Re: VSTGUI 4.3 on a VST 2.4 plugin, possible?

Posted: Thu May 30, 2019 11:38 am
by Arne Scheffler
Hi,
sure it's possible, but involves work from your side.
Read
https://github.com/steinbergmedia/vstgu ... _changes.h
especially the section: code_changes_3_6_to_4_0.

I hope this helps,
Arne

Re: VSTGUI 4.3 on a VST 2.4 plugin, possible?

Posted: Thu May 30, 2019 11:57 am
by kv331audio
Thanks Arne! so as long as I update my UI code it should work. That sounds good!